#include "meal.h"

Meal::Meal(QObject *parent)
    : QObject(parent)
    , m_name("")
    , m_weight(0)
    , m_carbs(0)
    , m_expanded(true)
{

}
void Meal::setId(const quint64 &i){
    if(m_id != i){
        m_id = i;
        Q_EMIT idChanged();
    }
}
quint64 Meal::id(){
    return m_id;
}

void Meal::setName(const QString &str) {
    if (m_name != str ){
        m_name = str;
        Q_EMIT nameChanged();
    }
}

QString Meal::name() {
    return m_name;
}
void Meal::setExpanded(const bool &expanded){
    if (m_expanded != expanded){
        m_expanded = expanded;
        Q_EMIT expandedChanged();
    }
}
bool Meal::expanded(){
    return m_expanded;
}

void Meal::setWeight(const double &weight){
    if (m_weight != weight ){
        m_weight = weight;
        Q_EMIT weightChanged();
    }
}
double Meal::weight(){
    return m_weight;
}
void Meal::setCarbs(const double &carbs){
    if (m_carbs != carbs){
        m_carbs = carbs;
        Q_EMIT carbsChanged();
    }
}
double Meal::carbs(){
    return m_carbs;
}
