#ifndef MEAL_H
#define MEAL_H

#include <QObject>

class Meal : public QObject
{
    Q_OBJECT
    Q_PROPERTY(quint64 id READ id WRITE setId NOTIFY idChanged)
    Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)
    Q_PROPERTY(double weight READ weight WRITE setWeight NOTIFY weightChanged)
    Q_PROPERTY(double carbs READ carbs WRITE setCarbs NOTIFY carbsChanged)
    Q_PROPERTY(bool expanded READ expanded WRITE setExpanded NOTIFY expandedChanged)

public:
    explicit Meal(QObject *parent = 0);

    quint64 id();
    void setId(const quint64 &i);

    QString name();
    void setName(const QString &str);

    double weight();
    void setWeight(const double &weight);

    double carbs();
    void setCarbs(const double &carbs);

    bool expanded();
    void setExpanded(const bool &expanded);

signals:
    void idChanged();
    void nameChanged();
    void weightChanged();
    void carbsChanged();
    void expandedChanged();

public slots:

private:
    quint64 m_id;
    QString m_name;
    double m_weight;
    double m_carbs;
    bool m_expanded;
};

#endif // MEAL_H
